Bug 1194093 - [RFE] Update puppet provisioning snippet & installers to support sha256
Summary: [RFE] Update puppet provisioning snippet & installers to support sha256
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 01:14 UTC by Rich Jerrido
Modified: 2019-10-22 12:47 UTC (History)
7 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26203 None None None 2019-03-06 09:05:10 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:01 UTC

Description Rich Jerrido 2015-02-19 01:14:04 UTC
Description of problem:

Many users of Satellite 6 run systems that are FIPS enabled. Puppet's default digest_algorithm, is md5, which will not work on FIPS enabled systems. 

This RFE requests updating the provisioning snippet for puppet.conf to add the 'digest_algorithm = sha256' directive in the [main] section of puppet.conf. 

The installation programs (capsule|katello)-installer might need to be updated to ensure that the Capsule/Satellite server also have this change. 


Version-Release number of selected component (if applicable):
puppet-3.6.2-1.el6sat


Actual results:


Expected results:


Additional info:
This is detailed in (https://tickets.puppetlabs.com/browse/PUP-1840)

Comment 1 RHEL Program Management 2015-02-19 10:23:38 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Rich Jerrido 2016-05-09 00:44:09 UTC
Discussed this with stbenjam@redhat.com, another way to implement this could be via an installer option to (katello|foreman)-installer, such as --puppet-digest=sha256 This would allow the end-user to 'opt-in' to the change. As in current versions of Puppet, the client and server MUST be configured to use the same digest algorithm, this would be a fair way to implement this request.

Comment 4 Bryan Kearney 2016-07-08 20:24:50 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 6 Bradley Scalio 2016-07-09 10:01:11 UTC
It appears fixed with some error handling issues upstream in Puppet ... is the lack of an ack here meaning this will not be in 6.3?

Comment 10 Bryan Kearney 2019-02-28 19:39:55 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 13 Bryan Kearney 2019-03-06 11:07:11 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 14 Bryan Kearney 2019-03-06 11:07:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26203 has been resolved.

Comment 15 Bryan Kearney 2019-03-06 16:56:02 UTC
Based on comment 14, not going to close this :)

Comment 16 Peter Ondrejka 2019-08-08 12:50:55 UTC
Verified on Satellite 6.6 snap 13, the provisioning templates have been updated to have the fips condition. The host provisioned from hostgroup with the fips_enabled parameter on has fips mode enabled as expected.

Comment 18 errata-xmlrpc 2019-10-22 12:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.